Which patch version should I use?

Post here about all aspects of D2 mod making whether it's information, problems or whatever. Please specify whether your post is relating to Classic D2 or the Expansion.

Moderator: Nizari

Post Reply
ectorzage
Posts: 2
Joined: Sat Feb 09, 2019 4:52 am
United States of America

Which patch version should I use?

Post by ectorzage » Sun Feb 10, 2019 2:53 pm

Hello all,

I'm in the process of deciding if I want to change D2 versions to accomplish the SP game that I want to play. I have a 1.10f version that works very close to what I'm after with one issue - no uber tristram. I do use a few D2Mod-based dlls, but have encoutered trouble porting them over to the 1.11b and 1.13c "Test Mods" that I'm building.

What I'm trying to build in my ideal game:
* -txt based option
* -uber tristram
* -diablo clone event (handled by plugy)
* -be able to run D2mod dlls

Is this currently possible? Would I need to hit the books and learn any coding? Any advice would be appreciated since this is feeling a bit over my head at the moment.


User avatar
jessedazebra
Posts: 72
Joined: Sun Nov 11, 2012 9:46 am
Russia

Re: Which patch version should I use?

Post by jessedazebra » Sun Feb 10, 2019 3:19 pm

In addition I'd suggest you to look on this plugin which supports v1.13c, v1.13d v1.14d versions of the game and also supports D2SE.
Image

User avatar
Nizari
Senior Moderator
Crusader
Posts: 65
Joined: Fri Feb 16, 2018 11:39 pm
Poland

Re: Which patch version should I use?

Post by Nizari » Sun Feb 10, 2019 4:56 pm

After 10 years of working on 1.13c, I have moved to 1.10f, there isn't any other game version with soo much code and plugins support. Also, soon it will have Necrolis' d2gfx driver. I highly reommend 1.10f, without even thinking about anything else.

ectorzage
Posts: 2
Joined: Sat Feb 09, 2019 4:52 am
United States of America

Re: Which patch version should I use?

Post by ectorzage » Tue Feb 12, 2019 3:42 am

Thank you guys for the quick responses. I spent most of the weekend tinkering and seeing what I can do on 1.10f. I didn't find any easy mods that add in the uber tristram event, but I'm starting to feel more and more confident on eventually making it my self if I don't find something sooner. Cheers to all you cool gals and guys.

Post Reply

Return to “General Mod Making”